#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 enclosed-exceptions
version:              1.0.3
visibility:           public
id:                   enclosed-exceptions-1.0.3-LPSEwBUHKF8641i6ABfu2j
key:                  enclosed-exceptions-1.0.3-LPSEwBUHKF8641i6ABfu2j
license:              MIT
maintainer:           jmacristovao@gmail.com, michael@snoyman.com
author:               Michael Snoyman, João Cristóvão
homepage:             https://github.com/jcristovao/enclosed-exceptions
synopsis:             Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>

category:             Control
abi:                  48515a07450a001caaa61ed919111c03
exposed:              True
exposed-modules:      Control.Exception.Enclosed
import-dirs:          /usr/lib/ghc-9.2.8/site-local/enclosed-exceptions-1.0.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/enclosed-exceptions-1.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-enclosed-exceptions
hs-libraries:         HSenclosed-exceptions-1.0.3-LPSEwBUHKF8641i6ABfu2j
depends:
    base-4.16.4.0 deepseq-1.4.6.1
    lifted-base-0.2.3.12-CI0ve8nZzy3CllqCwNY0HA
    monad-control-1.0.3.1-KkiVgTEnLVC11MeWLR38S0 transformers-0.5.6.2
    transformers-base-0.4.6-45h98xivtL09XO75PbjM38

haddock-interfaces:
    /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock

haddock-html:         /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

